# -*- coding: utf-8 -*- 
<%inherit file="jm2l:templates/layout.mako"/>
<%namespace name="helpers" file="jm2l:templates/helpers.mako"/>
<%def name="jsAddOn()">
  <script src="/js/jm2l.js"></script>
  <script src="/vendor/ckeditor/ckeditor.js"></script>
  <script src="/vendor/select2/js/select2.js"></script>  
</%def>
<%def name="cssAddOn()">
  <link rel="stylesheet" href="/vendor/fileupload/css/jquery.fileupload.css">
  <link rel="stylesheet" href="/vendor/fileupload/css/jquery.fileupload-ui.css">
  <link rel="stylesheet" href="/css/jm2l.css" />
  <link rel="stylesheet" href="/vendor/select2/css/select2.css" type="text/css" media="screen" />
  <!-- CSS adjustments for browsers with JavaScript disabled -->
  <noscript><link rel="stylesheet" href="/vendor/fileupload/css/jquery.fileupload-noscript.css"></noscript>
  <noscript><link rel="stylesheet" href="/vendor/fileupload/css/jquery.fileupload-ui-noscript.css"></noscript>  
</%def>
% if 'uid' in form._fields.keys():
    <h3>Editer un Pôle</h3>
% else:
    <h3>Ajouter un Pôle</h3>
%endif
<%
DicForm = { 
    'name':         {'PlaceHolder':u"Nom du Pôle", "FieldStyle":"width:90%;" },
    'description':  {'PlaceHolder':u"Description", "FieldStyle":"width:95%;min-height:150px;", "ckeditor":"1" },
    }
%>

% if 'uid' in form._fields.keys():
    <form action="/Staff/poles/${form.uid.data}" method="post">
    ${form.uid()}
%else:
    <form action="/Staff/poles" method="post">
%endif
    ${helpers.DisplayForm(form, DicForm)}
<input type="submit" class="btn btn-primary" />
</form>
% if 'uid' in form._fields.keys():
    ${helpers.uploader("poles", form.uid.data, u"Attachement" )}
%endif
<script>
##    var editor = CKEDITOR.replace( 'description',  { autoGrow_onStartup: true, language: 'fr' } );
</script>